X Library Init and Shutdown Functions

Functions that start and shut down the Ecore X Library. More...

## Functions

EAPI int | ecore_x_init (const char *name)
| Initialize the X display connection to the given display.
EAPI int | ecore_x_shutdown (void)
| Shuts down the Ecore X library.
EAPI int | ecore_x_disconnect (void)
| Shuts down the Ecore X library.

## Detailed Description

Functions that start and shut down the Ecore X Library.

## Function Documentation

## ecore_x_init()

EAPI int ecore_x_init | ( | const char * | name | ) |

Initialize the X display connection to the given display.

Parameters

  name | Display target name. If `NULL`, the default display is assumed.

Returns
  The number of times the library has been initialized without being shut down. 0 is returned if an error occurs.

References ecore_event_shutdown(), ecore_shutdown(), eina_log_domain_unregister(), and eina_shutdown().

## ecore_x_shutdown()

EAPI int ecore_x_shutdown | ( | void |  | ) |

Shuts down the Ecore X library.

In shutting down the library, the X display connection is terminated and any event handlers for it are removed.

Returns
  The number of times the library has been initialized without being shut down. 0 is returned if an error occurs.

## ecore_x_disconnect()

EAPI int ecore_x_disconnect | ( | void |  | ) |

Shuts down the Ecore X library.

As ecore_x_shutdown, except do not close Display, only connection.